import React, { Suspense } from 'react';
import { unstable_setRequestLocale } from 'next-intl/server';
import { ProfileSettings } from '../../../../../components/Account';
import { i18nText } from '../../../../../i18nKeys';

export default function Settings({ params: { locale } }: { params: { locale: string } }) {
    unstable_setRequestLocale(locale);

    return (
        <>
            <ol className="breadcrumb">
                <li className="breadcrumb-item active" aria-current="page">{i18nText('accountMenu.settings', locale)}</li>
            </ol>
            <Suspense>
                <ProfileSettings locale={locale} />
            </Suspense>
        </>
    );
};
