import { ExpertsThemesGroups } from './tags';

export type Supervision = {
    id: number,
    name: string
};

export type PracticeCase = {
    id: number,
    userId?: number,
    description?: string,
    themesGroupIds?: number[]
};

export type PracticeData = {
    practiceHours?: number,
    supervisionPerYearId?: number,
    sessionDuration?: number,
    sessionCost?: number,
    practiceCases?: PracticeCase[]
}

export interface PracticeDTO {
    person4Data: PracticeData & {
        themesGroups?: ExpertsThemesGroups[],
        supervisionPerYears?: Supervision[],
        sessionCosts?: number[]
    }
}
